
import request from '@/utils/request'


var Dates = function(){
	var format = function(fmt){
		var Date_ = this.getDate ? this : new Date();
		var o = {           
		"M+" : Date_.getMonth()+1, //月份           
		"d+" : Date_.getDate(), //日           
		"h+" : Date_.getHours()%12 == 0 ? 12 : Date_.getHours()%12, //小时           
		"H+" : Date_.getHours(), //小时           
		"m+" : Date_.getMinutes(), //分           
		"s+" : Date_.getSeconds(), //秒           
		"q+" : Math.floor((Date_.getMonth()+3)/3), //季度           
		"S" : Date_.getMilliseconds() //毫秒           
		};           
		var week = {           
		"0" : "\u65e5",           
		"1" : "\u4e00",           
		"2" : "\u4e8c",           
		"3" : "\u4e09",           
		"4" : "\u56db",           
		"5" : "\u4e94",           
		"6" : "\u516d"          
		};           
		if(/(y+)/.test(fmt)){           
			fmt=fmt.replace(RegExp.$1, (Date_.getFullYear()+"").substr(4 - RegExp.$1.length));           
		}           
		if(/(E+)/.test(fmt)){           
			fmt=fmt.replace(RegExp.$1, ((RegExp.$1.length>1) ? (RegExp.$1.length>2 ? "\u661f\u671f" : "\u5468") : "")+week[Date_.getDay()+""]);           
		}           
		for(var k in o){           
			if(new RegExp("("+ k +")").test(fmt)){           
				fmt = fmt.replace(RegExp.$1, (RegExp.$1.length==1) ? (o[k]) : (("00"+ o[k]).substr((""+ o[k]).length)));           
			}           
		}           
		return fmt;
	}
	
	var getDayStamp = function(){
		var start = new Date(new Date().toLocaleDateString()).getTime() / 1000;
		var end = ~~(new Date().getTime() / 1000);
		return {start:start, end:end};
	}

	return {format:format, getDayStamp:getDayStamp,}
};

export var Dates = Dates();


// WEBPACK FOOTER //
// ./src/common/js/common.js